commit:     695d9059933b729bb333cfe00e0223f632ae32ca
Author:     Alexey Sokolov <sokolov <AT> google <DOT> com>
AuthorDate: Sun Oct  4 23:42:52 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Oct 15 18:51:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=695d9059

games-board/biloba: fix build with gcc 10

Closes: https://bugs.gentoo.org/707232
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-board/biloba/biloba-0.9.3-r2.ebuild          | 48 ++++++++++++++++++++++
 games-board/biloba/files/biloba-0.9.3-gcc-10.patch | 30 ++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/games-board/biloba/biloba-0.9.3-r2.ebuild 
b/games-board/biloba/biloba-0.9.3-r2.ebuild
new file mode 100644
index 00000000000..a79b45bdd80
--- /dev/null
+++ b/games-board/biloba/biloba-0.9.3-r2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools desktop xdg-utils
+
+DESCRIPTION="a board game, up to 4 players, with AI and network"
+HOMEPAGE="http://biloba.sourceforge.net/";
+SRC_URI="mirror://sourceforge/biloba/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="media-libs/libsdl:0[X,video,sound]
+       media-libs/sdl-image[png]
+       media-libs/sdl-mixer"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       # X11 headers are checked but not used, everything is done through SDL
+       "${FILESDIR}"/${P}-not-windows.patch
+       "${FILESDIR}"/${P}-no-X11-dep.patch
+       "${FILESDIR}/${P}-gcc-10.patch"
+)
+
+src_prepare() {
+       default
+
+       # "missing" file is old, and warns about --run not being supported
+       rm missing || die
+       eautoreconf
+}
+
+src_install() {
+       default
+       newicon -s 64 biloba_icon.png ${PN}.png
+       make_desktop_entry biloba Biloba
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

diff --git a/games-board/biloba/files/biloba-0.9.3-gcc-10.patch 
b/games-board/biloba/files/biloba-0.9.3-gcc-10.patch
new file mode 100644
index 00000000000..69d27f9aa7b
--- /dev/null
+++ b/games-board/biloba/files/biloba-0.9.3-gcc-10.patch
@@ -0,0 +1,30 @@
+Description: Fix FTBFS with gcc 10
+Author: Ricardo Mones <[email protected]>
+Bug-Debian: https://bugs.debian.org/957039
+Last-Update: 2020-08-29
+
+diff --git a/src/utils.c b/src/utils.c
+index 73bbd05..c51365d 100644
+--- a/src/utils.c
++++ b/src/utils.c
+@@ -53,6 +53,7 @@
+ 
+ char *progpath = NULL;
+ char *langpath = NULL;
++SDL_Surface * screen;
+ 
+ /**
+  * Get an object's X coordinate as pixels
+diff --git a/src/utils.h b/src/utils.h
+index 9b0b155..2018969 100644
+--- a/src/utils.h
++++ b/src/utils.h
+@@ -87,7 +87,7 @@
+ extern char *progpath;
+ extern char *langpath;
+ 
+-SDL_Surface * screen;
++extern SDL_Surface * screen;
+ 
+ int get_x(int x);
+ int get_y(int y);

Reply via email to